package com.huimv.env.manage.saas.controller;


import com.huimv.env.manage.saas.service.IBasePigpenService;
import com.huimv.env.manage.service.IEnvDeviceRegisterService;
import com.huimv.env.manage.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 * 环控绑定设备 前端控制器
 * </p>
 *
 * @author author
 * @since 2022-10-18
 */
@RestController
@RequestMapping("/envDeviceEquipment")
public class EnvDeviceEquipmentController {

    @Autowired
    IEnvDeviceRegisterService deviceRegisterService;

    @PostMapping("/listByUnit")
    public Result listByUnit(@RequestBody Map<String, String> map, HttpServletRequest request){

        return deviceRegisterService.listByUnit(map,request);
    }

}
