package com.huimv.env.manage.controller;


import com.huimv.common.utils.Result;
import com.huimv.env.common.service.EnvWaterDayService;
import com.huimv.env.common.service.EnvWaterMonthService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zn
 * @since 2022-10-20
 */
@RestController
@RequestMapping("/envWater")
public class EnvWaterDayController {
    @Autowired
    private EnvWaterDayService envWaterDayService;
    @Resource
    private EnvWaterMonthService envWaterMonthService;

    @PostMapping("/getTodayWater")
    public Result getTodayWater(@RequestBody Map<String, String> paramsMap) throws ParseException {
        //
        return envWaterDayService.getTodayWater(paramsMap);
    }

    @PostMapping("/getMonthWater")
    public Result getMonthWater(@RequestBody Map<String, String> paramsMap) throws ParseException {
        //
        return envWaterMonthService.getMonthWater(paramsMap);
    }
}

